import { Category } from "../Category/Category";
import { Stream } from "./Stream";
import { User } from "../User/User";
import { ApiClient } from "../../ApiClient";
export interface ChannelData {
    category: Category;
    chatRulesHtml: string;
    chatRulesMd: string;
    id: number;
    inaccessible: boolean;
    language: string;
    status: ChannelStatus;
    stream: Stream;
    streamKey: string;
    streamer: User;
    thumbnail: string;
    title: string;
}
export declare class Channel {
    /** @private */ protected readonly _data: ChannelData;
    protected readonly _client: ApiClient;
    /** @private */
    constructor(data: ChannelData, client: ApiClient);
    get category(): Category;
    get chatRulesHtml(): string;
    get chatRulesMd(): string;
    get id(): number;
    get inaccessible(): boolean;
    get language(): string;
    get status(): ChannelStatus;
    get stream(): Stream;
    get streamer(): User;
    get thumbnail(): string;
    get title(): string;
    get username(): string;
}
declare enum ChannelStatus {
    Live = "LIVE",
    Offline = "OFFLINE"
}
export {};
