import BaseAPI from "../BaseAPI";
import { ChannelIdResolvable, ChannelNameResolvable } from "../Resolver/ChannelResolver";
import { Channel } from "./Channel";
import { StreamAPI } from "./StreamAPI";
export declare enum ChannelLookupType {
    Id = "id",
    Username = "username"
}
export declare class ChannelAPI extends BaseAPI {
    get streams(): StreamAPI;
    getChannelById(channelId: ChannelIdResolvable): Promise<Channel | null>;
    getChannelByName(channelName: ChannelNameResolvable): Promise<Channel | null>;
    getChannelsByIds(channelIds: ChannelIdResolvable[]): Promise<Channel[]>;
    getChannelsByNames(channelNames: ChannelNameResolvable[]): Promise<Channel[]>;
    _getCategories(lookupType: ChannelLookupType, param: string[], multi?: boolean): Promise<Channel[]>;
}
