import { Category } from "../Category/Category";
import { Channel } from "./Channel";
import { ApiClient } from "../../ApiClient";
export interface StreamData {
    avgChatters: number;
    avgViewers: number;
    category: Category;
    channel: Channel;
    countChatters: number;
    countViewers: number;
    endedAt: Date;
    id: number;
    newSubscribers: number;
    peakChatters: number;
    peakViewers: number;
    resubSubscribers: number;
    startedAt: Date;
    title: string;
}
export declare class Stream {
    /** @private */ protected readonly _data: StreamData;
    protected readonly _client: ApiClient;
    /** @private */
    constructor(data: StreamData, client: ApiClient);
    get avgChatters(): number;
    get avgViewers(): number;
    get category(): Category;
    get channel(): Channel;
    get countChatters(): number;
    get countViewers(): number;
    get endedAt(): Date;
    get id(): number;
    get newSubscribers(): number;
    get peakChatters(): number;
    get peakViewers(): number;
    get resubSubscribers(): number;
    get startedAt(): Date;
    get title(): string;
}
