"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamAPI = exports.StreamLookupType = void 0;
const ApiCallOptions_1 = require("../../Auth/ApiCallOptions");
const BaseAPI_1 = require("../BaseAPI");
const Stream_1 = require("./Stream");
var StreamLookupType;
(function (StreamLookupType) {
    StreamLookupType["Id"] = "id";
})(StreamLookupType = exports.StreamLookupType || (exports.StreamLookupType = {}));
class StreamAPI extends BaseAPI_1.default {
    async _getStreams(lookupType, param, multi = false) {
        if (param.length === 0) {
            return [];
        }
        const searchQuery = multi ? "streams" : `stream(${lookupType}: "${param}")`;
        const result = await this._client.callApi({
            method: "POST",
            type: ApiCallOptions_1.ApiCallType.Base,
            url: 'users',
            body: `
            query {
               ${searchQuery} {
                avgChatters,
                avgViewers,
                countChatters,
                countViewers,
                endedAt,
                id,
                newSubscribers,
                peakChatters,
                peakViewers,
                resubSubscribers,
                startedAt,
                title
              }
            }`
        });
        if (result.data.streams && multi) {
            let allStreams = result.data.streams.map(userData => new Stream_1.Stream(userData, this._client));
            let streams = [];
            param.forEach(value => {
                //streams = new Array(...streams, ...(allStreams.filter(stream => stream[lookupType] === value)));
            });
            return streams;
        }
        else if (result.data.user) {
            return [new Stream_1.Stream(result.data.user, this._client)];
        }
        else {
            return [];
        }
    }
}
exports.StreamAPI = StreamAPI;
