import { UserSocial } from "./UserSocial";
import { ApiClient } from "../../ApiClient";
export interface UserData {
    avatar: string;
    confirmedAt: Date;
    displayname: string;
    id: number;
    profileContentHtml: string;
    profileContentMd: string;
    socials: UserSocial[];
    username: string;
    youtubeIntroUrl: string;
}
export declare class User {
    /** @private */ protected readonly _data: UserData;
    protected readonly _client: ApiClient;
    /** @private */
    constructor(data: UserData, client: ApiClient);
    get avatar(): string;
    get confirmedAt(): Date;
    get displayname(): string;
    get id(): number;
    get profileContentHtml(): string;
    get profileContentMd(): string;
    get socials(): UserSocial[];
    get username(): string;
    get youtubeIntroUrl(): string;
}
