import { ApiCallOptions, ApiCallFetchOptions } from "../Auth/ApiCallOptions";
/**
 * Makes a call to the Glimesh API using the given credentials, returning the raw Response object.
 *
 * @param options
 * @param clientId
 * @param accessToken
 * @param fetchOptions
 */
export declare function callApiRaw(options: ApiCallOptions, clientId?: string, accessToken?: string, fetchOptions?: ApiCallFetchOptions): Promise<Response>;
/**
 * Makes a call to the Glimesh API using given credentials.
 *
 * @param options The configuration of the call.
 * @param clientId The client ID of your application.
 * @param accessToken The access token to call the API with.
 * @param fetchOptions Additional options to be passed to the `fetch` function.
 */
export declare function callApi<T = any>(options: ApiCallOptions, clientId?: string, accessToken?: string, fetchOptions?: ApiCallFetchOptions): Promise<T>;
