import { CustomError } from "./CustomErrors";
/**
 * Thrown whenever a HTTP error occurs. Some HTTP errors are handled in the library when they're expected.
 */
export declare class HttpStatusCodeError extends CustomError {
    private readonly _statusCode;
    private readonly _body;
    /** @private */
    constructor(statusCode: number, statusText: string, body: Record<string, unknown>);
    get statusCode(): number;
    get body(): Record<string, unknown>;
}
