"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpStatusCodeError = void 0;
const CustomErrors_1 = require("./CustomErrors");
/**
 * Thrown whenever a HTTP error occurs. Some HTTP errors are handled in the library when they're expected.
 */
class HttpStatusCodeError extends CustomErrors_1.CustomError {
    /** @private */
    constructor(statusCode, statusText, body) {
        super(`Encountered HTTP status code ${statusCode}: ${statusText}\n\nBody:\n${JSON.stringify(body, null, 2)}`);
        this._statusCode = statusCode;
        this._body = body;
    }
    get statusCode() {
        return this._statusCode;
    }
    get body() {
        return this._body;
    }
}
exports.HttpStatusCodeError = HttpStatusCodeError;
